//
//  BeaconEventDetailViewController.h
//  SDKReferenceApp
//
//  Created by Michael Murphy on 19/11/2014.
//  Copyright (c) 2014 Proxama. All rights reserved.
//

#import <UIKit/UIKit.h>

/**
 * A UIViewController that controls a view showing information about a particular
 * beacon event. A Beacon event represents a paricular interaction between the device and a
 * monitored beacon, e.g. the device left the range of a beacon.
 */
@interface BeaconEventDetailViewController : UIViewController

/**
 * A pointer to a model object - the item whose detail we are displaying.
 */
@property (strong, nonatomic) id detailItem;

/**
 * A UILabel that is used for text to show the deatils about the event.
 */
@property (weak, nonatomic) IBOutlet UILabel *detailDescriptionLabel;

@end
