//
//  BeaconEventDetailTableViewCell.h
//  SDKReferenceApp
//
//  Created by Dominic Heale on 18/12/2014.
//  Copyright (c) 2014 Proxama. All rights reserved.
//

#import <UIKit/UIKit.h>

/**
 * A custom UITableViewCell that presents information about a Beacon event. A beacon event is
 * an interaction between the device and a beacon that the application is monitoring for.
 * For example, the device entering into the range of a particular beacon.
 */
@interface BeaconEventTableViewCell : UITableViewCell

/**
 * titleLabel is the main text in the Table View Cell, appears in bold font.
 */
@property (nonatomic, weak) IBOutlet UILabel *titleLabel;

/**
 * subtitleLabel appears under the main text, in normal face font.
 */
@property (nonatomic, weak) IBOutlet UILabel *subtitleLabel;

/**
 * timeLabel appears in lighter gray, in the top right of the cell.
 */
@property (nonatomic, weak) IBOutlet UILabel *timeLabel;

/**
 * The icon image view appears on the left, and shows an image relating to the beacon.
 */
@property (nonatomic, weak) IBOutlet UIImageView *iconImageView;

@end
